"use strict";

exports.__esModule = true;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _reactstrap = require("reactstrap");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Toaster = function (_React$Component) {
  _inherits(Toaster, _React$Component);

  function Toaster(props) {
    _classCallCheck(this, Toaster);

    var _this = _possibleConstructorReturn(this, _React$Component.call(this, props));

    _this.showToast = function (style, title, message, timeout) {
      _this.setState({
        show: true,
        mssstyle: style,
        title: title,
        message: message,
        timeout: timeout ? timeout : 5000
      });
    };

    _this.state = {
      show: false,
      timeout: 5000
    };
    return _this;
  }

  Toaster.prototype.componentDidUpdate = function componentDidUpdate(prevProps, prevState) {
    var _this2 = this;

    if (this.state.show && !prevState.show) {
      setTimeout(function () {
        _this2.setState({ show: false });
      }, this.state.timeout);
    }
  };

  Toaster.prototype.render = function render() {
    return _react2.default.createElement(
      "div",
      { style: { position: "fixed", top: 25, right: 25, zIndex: 99999 } },
      _react2.default.createElement(
        _reactstrap.Toast,
        { isOpen: this.state.show },
        _react2.default.createElement(
          _reactstrap.ToastHeader,
          { icon: this.state.mssstyle },
          this.state.title
        ),
        _react2.default.createElement(
          _reactstrap.ToastBody,
          null,
          this.state.message
        )
      )
    );
  };

  return Toaster;
}(_react2.default.Component);

exports.default = Toaster;
module.exports = exports["default"];